summaryrefslogtreecommitdiffstats
path: root/package.sh
diff options
context:
space:
mode:
authorSamuli Silvius <s.silvius@partner.samsung.com>2019-01-19 14:27:58 +0200
committerSamuli Silvius <s.silvius@partner.samsung.com>2019-01-21 10:28:02 +0200
commit3fb890c848199f4455dc5aeb9aa2989dbf9504ca (patch)
tree1322651ea9ac1f1d60d91f52cdb0a5600f177a44 /package.sh
parent0dc5cac61b64f3e395b3ea91f50fb85996a942e8 (diff)
Add ansible runner image/chroot into package
Ansible runner docker image and chroot environment exported from that is needed runtime to run ansible playbooks. Currently package.sh script is not building that when packaging is run. This change will add generating of ansible runner package during packaging and including that into final package. Issue-ID: OOM-1594 Change-Id: I160c0e5366577ddf35b359b956bb4cdbdeb59787 Signed-off-by: Samuli Silvius <s.silvius@partner.samsung.com>
Diffstat (limited to 'package.sh')
-rwxr-xr-xpackage.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/package.sh b/package.sh
index 3a4d12bc..cb0782d2 100755
--- a/package.sh
+++ b/package.sh
@@ -79,6 +79,15 @@ function add_additions {
fi
}
+function build_sw_artifacts {
+ cd ansible/docker
+ ./build_ansible_image.sh
+ if [ $? -ne 0 ]; then
+ crash 5 "Building of ansible runner image failed."
+ fi
+ cd -
+}
+
function create_sw_package {
local pkg_root="${PACKAGING_TARGET_DIR}/onap"
@@ -204,6 +213,7 @@ whotest[0]='test' || (crash 3 "Arrays not supported in this version of bash.")
# Prepare output directory for our packaging and create all tars
rm -rf ${PACKAGING_TARGET_DIR}
+build_sw_artifacts
create_sw_package
create_resource_package